# wf-shadow
`wf-shadow` is a script written in order to fill the void in instant-replay software for Wayland, specifically wlroots compositors. It uses wf-recorder and wofi in order to accomplish the task.

# Dependencies
This script depends on `wf-recorder`, `wofi`, and, obviously, `bash`.

# Installation

## Package Manager
Currently, no distributions include `wf-shadow` as a package. See "Manual Installation".

## Manual Installation
Put this script somewhere in your $PATH. To find which directories are in your $PATH, run `sed 's/:/\n/g' <<< "$PATH"`.

# Contributing

## Writing issues
Make sure to state as many details relating to wf-shadow as possible when making an issue. These include, but are not limited to: version, dependency versions, and verbose (-v) output.

### Common issues

#### "A wf-shadow instance is already running on display X" but no wf-shadow is running.
If you're certain wf-shadow is not running on that display, remove the file in the parentheses with `rm`.

## Merge requests
Make sure to always keep the style of code used in wf-shadow when requesting a merge (we don't want inconsistencies or unreadable code!) 
